> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出事件类型

> 按显示顺序列出 Webhook 可以接收的事件类型

```
GET /openapi/memorylake/admin/v1/webhooks/event-types
```

按显示顺序列出 Webhook 可以接收的事件类型。今后可能新增类型；接收方应忽略不认识的类型。

> [!NOTE]
>
> **所需权限：** `webhook:manage`

```bash cURL theme={null}
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/webhooks/event-types' \
  -H 'Authorization: Bearer sk_xxxxxx'
```

### 响应

**data** `object`

**Webhook Event Types 对象**

**event\_types** `array`

**Webhook Event Type 对象**

**group** `string`

该类型所在的分组。可选值：`api_key`、`member`、`balance`、`subscription`、`export`。

**type** `string`

事件类型，与推送内容中 `type` 字段的值相同

```json Success (200) theme={null}
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {
    "event_types": [
      {
        "group": "api_key",
        "type": "example"
      }
    ]
  }
}
```

### 错误

出错时返回 `success: false`、`message` 和 `error_code`。全部错误码见[错误码](https://docs.memorylake.cn/features/memorylake/api-reference/errors.md)。

| 状态码 | 含义 |
| - | - |
| `401` | API Key 缺失、无效、已停用或已过期 |
| `403` | 该 Key 无权执行此操作 |
| `404` | 资源不存在 |
| `429` | 请求过多，请按 `Retry-After` 等待后重试 |
| `500` | 服务端错误 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.